# List Owned Assets

Get a list of all assets owned by an organization.

Endpoint: GET /api/v1/assets/owned-assets
Version: 0.2.0
Security: bearerAuth

## Query parameters:

  - `chains` (array)

  - `asset_ids` (array)

  - `is_hidden` (boolean)

  - `search` (string)

  - `vault_ids` (array)

  - `end_user_ids` (array)

  - `only_native` (boolean)

  - `is_nft` (boolean)

  - `sort_by` (array)
    Enum: "asset_name_asc", "asset_name_desc", "chain_identifier_asc", "chain_identifier_desc", "balance_asc", "balance_desc", "market_value_asc", "market_value_desc", "price_asc", "price_desc"

  - `page` (integer)
    The page number to fetch.

  - `size` (integer)
    The number of items per page.

  - `skip_count` (boolean)
    Whether to skip counting the total number of items.

## Response 200 fields (application/json):

  - `total` (integer, required)

  - `page` (integer, required)

  - `size` (integer, required)

  - `owned_assets` (array, required)

  - `owned_assets.priced_asset` (object, required)

  - `owned_assets.priced_asset.type` (string, required)

  - `owned_assets.priced_asset.asset_info` (object, required)
    The asset info.

  - `owned_assets.priced_asset.asset_info.id` (string, required)
    The asset ID.

  - `owned_assets.priced_asset.asset_info.asset_identifier` (any, required)

  - `owned_assets.priced_asset.asset_info.name` (string, required)
    The name of the asset.

  - `owned_assets.priced_asset.asset_info.symbol` (string, required)
    The symbol (ticker) of the asset.

  - `owned_assets.priced_asset.asset_info.decimals` (integer, required)

  - `owned_assets.priced_asset.asset_info.verified` (boolean, required)
    True if this asset is verified by Fordefi, False otherwise.

  - `owned_assets.priced_asset.asset_info.metadata_uri` (string)
    The URI of the asset metadata.

  - `owned_assets.priced_asset.asset_info.is_spam` (boolean, required)
    True if this asset is spam, False otherwise.

  - `owned_assets.priced_asset.asset_info.logo_url` (string)
    The URL of the asset logo.

  - `owned_assets.priced_asset.asset_info.explorer_url` (string)
    The URL of a blockchain explorer that provides real-time information about the asset.

  - `owned_assets.priced_asset.price` (object)
    The price of the asset (if it exists in the system).

  - `owned_assets.priced_asset.price.price_float` (string, required)
    The price in the given fiat currency.
    Example: "1000000000000000000"

  - `owned_assets.priced_asset.price.fiat_currency` (object, required)

  - `owned_assets.priced_asset.price.fiat_currency.currency_symbol` (string, required)
    The symbol of the fiat currency.
    Enum: "usd"

  - `owned_assets.priced_asset.price.fiat_currency.decimals` (integer, required)
    The number of decimals in the fiat currency.

  - `owned_assets.balances` (object, required)
    The cryptocurrency balances of the asset.

  - `owned_assets.balances.total_mined` (string, required)
    The value of all mined assets.
    Example: "1000000000000000000"

  - `owned_assets.balances.total_pending_incoming` (string, required)
    The value of all pending incoming assets.
    Example: "1000000000000000000"

  - `owned_assets.balances.available_mined` (string, required)
    The value of all available mined assets. Equals to total mined balance minus frozen mined.
    Example: "1000000000000000000"

  - `owned_assets.balances.available_pending_incoming` (string, required)
    The value of all available pending incoming assets. Equals to total pending incoming minus frozen pending incoming.
    Example: "1000000000000000000"

  - `owned_assets.balances.frozen_mined` (string, required)
    The value of all mined frozen assets.
    Example: "1000000000000000000"

  - `owned_assets.balances.frozen_pending_incoming` (string, required)
    The value of all pending incoming frozen assets.
    Example: "1000000000000000000"

  - `owned_assets.balances.trustline_limit` (string)
    The trustline limit for Stellar assets. Nil for non-Stellar assets or assets without trustlines.
    Example: "1000000000000000000"

## Response 400 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

  - `system_error_code` (string)
    An additional system error code in Fordefi.

## Response 401 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

## Response 403 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

## Response 408 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

## Response 422 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (array, required)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.

## Response 500 fields (application/json):

  - `title` (string, required)
    Human-readable error message.

  - `detail` (string, required)
    Detailed error message.

  - `full_detail` (string)
    Full error message with additional details, if available.

  - `request_id` (string)
    Request ID - for debugging purposes.


